Skip to main content

PATCH /streams/rest/v1/streams REST API Endpoint

Loading...

Updated on
Aug 25, 2025

PATCH /streams/rest/v1/streams REST API Endpoint

Path Parameters

id
string
REQUIRED
Loading...

Body Parameters

name
string
REQUIRED
Loading...
filter_function
string
Loading...
region
string
Loading...
start_range
integer
Loading...
end_range
integer
Loading...
dataset_batch_size
integer
REQUIRED
Loading...
include_stream_metadata
string
REQUIRED
Loading...
status
string
REQUIRED
Loading...
elastic_batch_enabled
boolean
Loading...
fix_block_reorgs
integer
Loading...
keep_distance_from_tip
integer
Loading...
notification_email
string
Loading...
destination
string
REQUIRED
Loading...
destination_attributes
object
Loading...
url
string
REQUIRED
Loading...
compression
string
REQUIRED
Loading...
headers
object
Loading...
key-value
string
Loading...
max_retry
integer
REQUIRED
Loading...
retry_interval_sec
integer
REQUIRED
Loading...
post_timeout_sec
integer
REQUIRED
Loading...
destination_attributes
object
Loading...
endpoint
string
REQUIRED
Loading...
access_key
string
Loading...
secret_key
string
REQUIRED
Loading...
bucket
string
REQUIRED
Loading...
object_prefix
string
Loading...
file_compression_type
string
REQUIRED
Loading...
file_type
string
REQUIRED
Loading...
max_retry
integer
REQUIRED
Loading...
retry_interval_sec
integer
REQUIRED
Loading...
use_ssl
boolean
REQUIRED
Loading...
destination_attributes
object
Loading...
storage_account
string
REQUIRED
Loading...
container
string
REQUIRED
Loading...
sas_token
string
REQUIRED
Loading...
blob_prefix
string
Loading...
file_compression_type
string
REQUIRED
Loading...
file_type
string
REQUIRED
Loading...
max_retry
integer
REQUIRED
Loading...
retry_interval_sec
integer
REQUIRED
Loading...
destination_attributes
object
Loading...
username
string
REQUIRED
Loading...
password
string
REQUIRED
Loading...
host
string
REQUIRED
Loading...
port
integer
REQUIRED
Loading...
sslmode
string
REQUIRED
Loading...
table_name
string
REQUIRED
Loading...
max_retry
integer
REQUIRED
Loading...
retry_interval_sec
integer
REQUIRED
Loading...

Returns

id
string
Loading...
created_at
string
Loading...
updated_at
string
Loading...
name
string
Loading...
network
string
Loading...
dataset
string
Loading...
region
string
Loading...
filter_function
string
Loading...
start_range
integer
Loading...
end_range
integer
Loading...
dataset_batch_size
integer
Loading...
include_stream_metadata
string
Loading...
destination
string
Loading...
fix_block_reorgs
integer
Loading...
keep_distance_from_tip
integer
Loading...
destination_attributes
object
Loading...
url
string
Loading...
compression
string
Loading...
headers
object
Loading...
key-value
string
Loading...
max_retry
integer
Loading...
retry_interval_sec
integer
Loading...
post_timeout_sec
integer
Loading...
security_token
string
Loading...
destination_attributes
object
Loading...
endpoint
string
Loading...
access_key
string
Loading...
secret_key
string
Loading...
bucket
string
Loading...
object_prefix
string
Loading...
file_compression_type
string
Loading...
file_type
string
Loading...
max_retry
integer
Loading...
retry_interval_sec
integer
Loading...
use_ssl
boolean
Loading...
destination_attributes
object
Loading...
storage_account
string
Loading...
container
string
Loading...
sas_token
string
Loading...
blob_prefix
string
Loading...
file_compression_type
string
Loading...
file_type
string
Loading...
max_retry
integer
Loading...
retry_interval_sec
integer
Loading...
destination_attributes
object
Loading...
username
string
Loading...
password
string
Loading...
host
string
Loading...
port
integer
Loading...
sslmode
string
Loading...
table_name
string
Loading...
max_retry
integer
Loading...
retry_interval_sec
integer
Loading...
status
string
Loading...
notification_email
string
Loading...
sequence
integer
Loading...
current_hash
string
Loading...
Request
1
curl -X PATCH \
2
"https://api.quicknode.com/streams/rest/v1/streams/{id}" \
3
-H "accept: application/json" \
4
-H "Content-Type: application/json" \
5
-H "x-api-key: YOUR_API_KEY" \
6
-d $'{
7
"filter_function": "ZnVuY3Rpb24gbWFpbihkYXRhKSB7CiAgICB2YXIgbnVtYmVyRGVjaW1hbCA9IHBhcnNlSW50KGRhdGEuc3RyZWFtRGF0YS5udW1iZXIsIDE2KTsKICAgIHZhciBmaWx0ZXJlZERhdGEgPSB7CiAgICAgICAgaGFzaDogZGF0YS5zdHJlYW1EYXRhLmhhc2gsCiAgICAgICAgbnVtYmVyOiBudW1iZXJEZWNpbWFsCiAgICB9OwogICAgcmV0dXJuIGZpbHRlcmVkRGF0YTsKfQ==",
8
"start_range": 100,
9
"end_range": 200,
10
"dataset_batch_size": 1,
11
"include_stream_metadata": "body",
12
"destination": "webhook",
13
"fix_block_reorgs": 0,
14
"keep_distance_from_tip": 0,
15
"destination_attributes": {
16
"url": "https://wehook.site",
17
"compression": "none",
18
"headers": {
19
"Content-Type": "Test",
20
"Authorization": "again"
21
},
22
"max_retry": 3,
23
"retry_interval_sec": 1,
24
"post_timeout_sec": 10
25
},
26
"status": "active"
27
}'
28
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free